Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Client.BinaryUpstreamClient Class Reference

More...

Inherits Gevasys.DataCore.Client.IBinaryUpstreamClient.

## Public Member Functions
| BinaryUpstreamClient (String name, TcpUpstreamStore publisher)
void | EmitByteArray (short fieldId, byte[] data)
| Emits a byte array. More...
void | EmitString (short fieldId, string data)
| vwd Field identifier. More...
void | EmitDouble (short fieldId, double data)
| vwd Field identifier. More...
void | EmitInt32 (short fieldId, Int32 data)
| vwd Field identifier. More...
void | EmitFloat (short fieldId, float data)
| vwd Field identifier. More...
void | EmitDateTime (short fieldId, DateTime data)
| vwd Field identifier. More...
void | EmitLong (short fieldId, long data)
| vwd Field identifier. More...
void | EmitShort (short fieldId, short data)
| vwd Field identifier. More...
void | BeginMessage (BaseBinaryMessage.MessageType messageType)
void | EndMessage ()
| Ends a message and writes it to the attached TcpUpstreamStore More...
void | Clear ()

## Detailed Description

Class for building and sending streaming data back to the server. All messages will be build as binary messages. To build a message follow these steps:

1.) Start a message with BeginMessage.

2.) Emit your field data via the 'Emit' methods.

3.) End your message with EndMessage.

EndMessage will automatically write the message to the attached TcpUpstreamStore.

upstreamClient.BeginMessage(BaseBinaryMessage.MessageType.Update);
upstreamClient.EmitString(18, "INSTRUMENT"); //18=vwd instrument code
upstreamClient.EmitDouble(80, 7.411); //80=Last
upstreamClient.EndMessage();

## Constructor & Destructor Documentation

## ◆ BinaryUpstreamClient()

Gevasys.DataCore.Client.BinaryUpstreamClient.BinaryUpstreamClient | ( | String | name,
|  | TcpUpstreamStore | publisher
| ) |  |
| inline

Parameters

  name | The name of the client.
  publisher | The TcpUpstreamStore that handles the physical write of messages to the underlying I/O layer.

## Member Function Documentation

## ◆ BeginMessage()

void Gevasys.DataCore.Client.BinaryUpstreamClient.BeginMessage | ( | BaseBinaryMessage.MessageType | messageType | ) |
| inline

Begins a new message.

Parameters

  messageType | The Type of the messages.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EmitByteArray()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EmitByteArray | ( | short | fieldId,
|  | byte[] | data
| ) |  |
| inline

Emits a byte array.

Parameters

  fieldId | vwd Field identifier.
  data | A byte array with data.

This method can be used to emit custom protocol data such as Google ProtocolBuffers or XML Data.

To process these data the corresponding server process must know the content of the data.

For custom implementations please contact your vwd sales represantive.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EmitDateTime()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EmitDateTime | ( | short | fieldId,
|  | DateTime | data
| ) |  |
| inline

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EmitDouble()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EmitDouble | ( | short | fieldId,
|  | double | data
| ) |  |
| inline

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EmitFloat()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EmitFloat | ( | short | fieldId,
|  | float | data
| ) |  |
| inline

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EmitInt32()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EmitInt32 | ( | short | fieldId,
|  | Int32 | data
| ) |  |
| inline

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EmitLong()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EmitLong | ( | short | fieldId,
|  | long | data
| ) |  |
| inline

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EmitShort()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EmitShort | ( | short | fieldId,
|  | short | data
| ) |  |
| inline

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EmitString()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EmitString | ( | short | fieldId,
|  | string | data
| ) |  |
| inline

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

## ◆ EndMessage()

void Gevasys.DataCore.Client.BinaryUpstreamClient.EndMessage | ( |  | ) |
| inline

Ends a message and writes it to the attached TcpUpstreamStore

Implements Gevasys.DataCore.Client.IBinaryUpstreamClient.

The documentation for this class was generated from the following file:

- BinaryUpstreamClient.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1